import { ConfigSet, ConfigSetCommandPathOperationResult } from "@takomo/config-sets";
import { OperationState } from "@takomo/core";
import { DeploymentGroupConfig, DeploymentTargetConfig } from "@takomo/deployment-targets-config";
import { StacksConfigRepository } from "@takomo/stacks-context";
import { CommandPath } from "@takomo/stacks-model";
import { Timer } from "@takomo/util";
import { PlanHolder } from "../model";
export declare const processCommandPath: (holder: PlanHolder, group: DeploymentGroupConfig, target: DeploymentTargetConfig, configSet: ConfigSet, commandPath: CommandPath, timer: Timer, state: OperationState, stacksConfigRepository: StacksConfigRepository) => Promise<ConfigSetCommandPathOperationResult>;
